Index: /XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 471)
+++ /XIOS/trunk/src/interface/fortran_attr/ifieldgroup_attr.F90	(revision 472)
@@ -12,7 +12,7 @@
   
   SUBROUTINE xios(set_fieldgroup_attr)  &
-    ( fieldgroup_id, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_id, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -22,4 +22,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
@@ -43,14 +45,14 @@
       CALL xios(get_fieldgroup_handle)(fieldgroup_id,fieldgroup_hdl)
       CALL xios(set_fieldgroup_attr_hdl_)   &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(set_fieldgroup_attr)
   
   SUBROUTINE xios(set_fieldgroup_attr_hdl)  &
-    ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -59,4 +61,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled
@@ -79,14 +83,14 @@
       
       CALL xios(set_fieldgroup_attr_hdl_)  &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(set_fieldgroup_attr_hdl)
   
   SUBROUTINE xios(set_fieldgroup_attr_hdl_)   &
-    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, domain_ref_, enabled_, field_ref_  &
-    , freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_, operation_, prec_  &
-    , scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
+    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_  &
+    , operation_, prec_, scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
     
     IMPLICIT NONE
@@ -95,4 +99,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value_
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref_
       LOGICAL  , OPTIONAL, INTENT(IN) :: enabled_
@@ -126,4 +132,9 @@
       ENDIF
       
+      IF (PRESENT(detect_missing_value_)) THEN
+        detect_missing_value__tmp=detect_missing_value_
+        CALL cxios_set_fieldgroup_detect_missing_value(fieldgroup_hdl%daddr, detect_missing_value__tmp)
+      ENDIF
+      
       IF (PRESENT(domain_ref_)) THEN
         CALL cxios_set_fieldgroup_domain_ref(fieldgroup_hdl%daddr, domain_ref_, len(domain_ref_))
@@ -200,7 +211,7 @@
   
   SUBROUTINE xios(get_fieldgroup_attr)  &
-    ( fieldgroup_id, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_id, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -210,4 +221,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
@@ -231,14 +244,14 @@
       CALL xios(get_fieldgroup_handle)(fieldgroup_id,fieldgroup_hdl)
       CALL xios(get_fieldgroup_attr_hdl_)   &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(get_fieldgroup_attr)
   
   SUBROUTINE xios(get_fieldgroup_attr_hdl)  &
-    ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -247,4 +260,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled
@@ -267,14 +282,14 @@
       
       CALL xios(get_fieldgroup_attr_hdl_)  &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(get_fieldgroup_attr_hdl)
   
   SUBROUTINE xios(get_fieldgroup_attr_hdl_)   &
-    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, domain_ref_, enabled_, field_ref_  &
-    , freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_, operation_, prec_  &
-    , scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
+    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_  &
+    , operation_, prec_, scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
     
     IMPLICIT NONE
@@ -283,4 +298,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value_
+      LOGICAL (KIND=C_BOOL) :: detect_missing_value__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: enabled_
@@ -314,4 +331,9 @@
       ENDIF
       
+      IF (PRESENT(detect_missing_value_)) THEN
+        CALL cxios_get_fieldgroup_detect_missing_value(fieldgroup_hdl%daddr, detect_missing_value__tmp)
+        detect_missing_value_=detect_missing_value__tmp
+      ENDIF
+      
       IF (PRESENT(domain_ref_)) THEN
         CALL cxios_get_fieldgroup_domain_ref(fieldgroup_hdl%daddr, domain_ref_, len(domain_ref_))
@@ -388,7 +410,7 @@
   
   SUBROUTINE xios(is_defined_fieldgroup_attr)  &
-    ( fieldgroup_id, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_id, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -401,4 +423,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
@@ -438,14 +462,14 @@
       CALL xios(get_fieldgroup_handle)(fieldgroup_id,fieldgroup_hdl)
       CALL xios(is_defined_fieldgroup_attr_hdl_)   &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(is_defined_fieldgroup_attr)
   
   SUBROUTINE xios(is_defined_fieldgroup_attr_hdl)  &
-    ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-    , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-    , unit, valid_max, valid_min )
+    ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+    , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+    , scale_factor, standard_name, unit, valid_max, valid_min )
     
     IMPLICIT NONE
@@ -457,4 +481,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
       LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
@@ -493,14 +519,14 @@
       
       CALL xios(is_defined_fieldgroup_attr_hdl_)  &
-      ( fieldgroup_hdl, add_offset, axis_ref, default_value, domain_ref, enabled, field_ref, freq_offset  &
-      , freq_op, grid_ref, group_ref, level, long_name, name, operation, prec, scale_factor, standard_name  &
-      , unit, valid_max, valid_min )
+      ( fieldgroup_hdl, add_offset, axis_ref, default_value, detect_missing_value, domain_ref, enabled  &
+      , field_ref, freq_offset, freq_op, grid_ref, group_ref, level, long_name, name, operation, prec  &
+      , scale_factor, standard_name, unit, valid_max, valid_min )
     
   END SUBROUTINE xios(is_defined_fieldgroup_attr_hdl)
   
   SUBROUTINE xios(is_defined_fieldgroup_attr_hdl_)   &
-    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, domain_ref_, enabled_, field_ref_  &
-    , freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_, operation_, prec_  &
-    , scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
+    ( fieldgroup_hdl, add_offset_, axis_ref_, default_value_, detect_missing_value_, domain_ref_  &
+    , enabled_, field_ref_, freq_offset_, freq_op_, grid_ref_, group_ref_, level_, long_name_, name_  &
+    , operation_, prec_, scale_factor_, standard_name_, unit_, valid_max_, valid_min_ )
     
     IMPLICIT NONE
@@ -512,4 +538,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value_
       LOGICAL(KIND=C_BOOL) :: default_value__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: detect_missing_value_
+      LOGICAL(KIND=C_BOOL) :: detect_missing_value__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
       LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
@@ -562,4 +590,9 @@
       ENDIF
       
+      IF (PRESENT(detect_missing_value_)) THEN
+        detect_missing_value__tmp=cxios_is_defined_fieldgroup_detect_missing_value(fieldgroup_hdl%daddr)
+        detect_missing_value_=detect_missing_value__tmp
+      ENDIF
+      
       IF (PRESENT(domain_ref_)) THEN
         domain_ref__tmp=cxios_is_defined_fieldgroup_domain_ref(fieldgroup_hdl%daddr)
Index: /XIOS/trunk/src/interface/fortran_attr/ivariable_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ivariable_attr.F90	(revision 472)
+++ /XIOS/trunk/src/interface/fortran_attr/ivariable_attr.F90	(revision 472)
@@ -0,0 +1,165 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ivariable_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ivariable
+  USE variable_interface_attr
+  
+CONTAINS
+  
+  SUBROUTINE xios(set_variable_attr)  &
+    ( variable_id, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable))  :: variable_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variable_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(get_variable_handle)(variable_id,variable_hdl)
+      CALL xios(set_variable_attr_hdl_)   &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(set_variable_attr)
+  
+  SUBROUTINE xios(set_variable_attr_hdl)  &
+    ( variable_hdl, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(set_variable_attr_hdl_)  &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(set_variable_attr_hdl)
+  
+  SUBROUTINE xios(set_variable_attr_hdl_)   &
+    ( variable_hdl, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+      
+      IF (PRESENT(name_)) THEN
+        CALL cxios_set_variable_name(variable_hdl%daddr, name_, len(name_))
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_set_variable_type(variable_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(set_variable_attr_hdl_)
+  
+  SUBROUTINE xios(get_variable_attr)  &
+    ( variable_id, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable))  :: variable_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variable_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_variable_handle)(variable_id,variable_hdl)
+      CALL xios(get_variable_attr_hdl_)   &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(get_variable_attr)
+  
+  SUBROUTINE xios(get_variable_attr_hdl)  &
+    ( variable_hdl, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_variable_attr_hdl_)  &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(get_variable_attr_hdl)
+  
+  SUBROUTINE xios(get_variable_attr_hdl_)   &
+    ( variable_hdl, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+      
+      IF (PRESENT(name_)) THEN
+        CALL cxios_get_variable_name(variable_hdl%daddr, name_, len(name_))
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_get_variable_type(variable_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(get_variable_attr_hdl_)
+  
+  SUBROUTINE xios(is_defined_variable_attr)  &
+    ( variable_id, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable))  :: variable_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variable_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(get_variable_handle)(variable_id,variable_hdl)
+      CALL xios(is_defined_variable_attr_hdl_)   &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(is_defined_variable_attr)
+  
+  SUBROUTINE xios(is_defined_variable_attr_hdl)  &
+    ( variable_hdl, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(is_defined_variable_attr_hdl_)  &
+      ( variable_hdl, name, type )
+    
+  END SUBROUTINE xios(is_defined_variable_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_variable_attr_hdl_)   &
+    ( variable_hdl, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variable)) , INTENT(IN) :: variable_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL(KIND=C_BOOL) :: type__tmp
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_variable_name(variable_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        type__tmp=cxios_is_defined_variable_type(variable_hdl%daddr)
+        type_=type__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_variable_attr_hdl_)
+  
+END MODULE ivariable_attr
Index: /XIOS/trunk/src/interface/fortran_attr/ivariablegroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 472)
+++ /XIOS/trunk/src/interface/fortran_attr/ivariablegroup_attr.F90	(revision 472)
@@ -0,0 +1,190 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ivariablegroup_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ivariable
+  USE variablegroup_interface_attr
+  
+CONTAINS
+  
+  SUBROUTINE xios(set_variablegroup_attr)  &
+    ( variablegroup_id, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup))  :: variablegroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variablegroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(get_variablegroup_handle)(variablegroup_id,variablegroup_hdl)
+      CALL xios(set_variablegroup_attr_hdl_)   &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(set_variablegroup_attr)
+  
+  SUBROUTINE xios(set_variablegroup_attr_hdl)  &
+    ( variablegroup_hdl, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      
+      CALL xios(set_variablegroup_attr_hdl_)  &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(set_variablegroup_attr_hdl)
+  
+  SUBROUTINE xios(set_variablegroup_attr_hdl_)   &
+    ( variablegroup_hdl, group_ref_, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+      
+      IF (PRESENT(group_ref_)) THEN
+        CALL cxios_set_variablegroup_group_ref(variablegroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        CALL cxios_set_variablegroup_name(variablegroup_hdl%daddr, name_, len(name_))
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_set_variablegroup_type(variablegroup_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(set_variablegroup_attr_hdl_)
+  
+  SUBROUTINE xios(get_variablegroup_attr)  &
+    ( variablegroup_id, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup))  :: variablegroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variablegroup_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_variablegroup_handle)(variablegroup_id,variablegroup_hdl)
+      CALL xios(get_variablegroup_attr_hdl_)   &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(get_variablegroup_attr)
+  
+  SUBROUTINE xios(get_variablegroup_attr_hdl)  &
+    ( variablegroup_hdl, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      
+      CALL xios(get_variablegroup_attr_hdl_)  &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(get_variablegroup_attr_hdl)
+  
+  SUBROUTINE xios(get_variablegroup_attr_hdl_)   &
+    ( variablegroup_hdl, group_ref_, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+      
+      IF (PRESENT(group_ref_)) THEN
+        CALL cxios_get_variablegroup_group_ref(variablegroup_hdl%daddr, group_ref_, len(group_ref_))
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        CALL cxios_get_variablegroup_name(variablegroup_hdl%daddr, name_, len(name_))
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        CALL cxios_get_variablegroup_type(variablegroup_hdl%daddr, type_, len(type_))
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(get_variablegroup_attr_hdl_)
+  
+  SUBROUTINE xios(is_defined_variablegroup_attr)  &
+    ( variablegroup_id, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup))  :: variablegroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::variablegroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(get_variablegroup_handle)(variablegroup_id,variablegroup_hdl)
+      CALL xios(is_defined_variablegroup_attr_hdl_)   &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(is_defined_variablegroup_attr)
+  
+  SUBROUTINE xios(is_defined_variablegroup_attr_hdl)  &
+    ( variablegroup_hdl, group_ref, name, type )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type
+      LOGICAL(KIND=C_BOOL) :: type_tmp
+      
+      CALL xios(is_defined_variablegroup_attr_hdl_)  &
+      ( variablegroup_hdl, group_ref, name, type )
+    
+  END SUBROUTINE xios(is_defined_variablegroup_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_variablegroup_attr_hdl_)   &
+    ( variablegroup_hdl, group_ref_, name_, type_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(variablegroup)) , INTENT(IN) :: variablegroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: type_
+      LOGICAL(KIND=C_BOOL) :: type__tmp
+      
+      IF (PRESENT(group_ref_)) THEN
+        group_ref__tmp=cxios_is_defined_variablegroup_group_ref(variablegroup_hdl%daddr)
+        group_ref_=group_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_variablegroup_name(variablegroup_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      IF (PRESENT(type_)) THEN
+        type__tmp=cxios_is_defined_variablegroup_type(variablegroup_hdl%daddr)
+        type_=type__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_variablegroup_attr_hdl_)
+  
+END MODULE ivariablegroup_attr
Index: /XIOS/trunk/src/interface/fortran_attr/variable_interface_attr.f90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/variable_interface_attr.f90	(revision 472)
+++ /XIOS/trunk/src/interface/fortran_attr/variable_interface_attr.f90	(revision 472)
@@ -0,0 +1,55 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+
+MODULE variable_interface_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  
+  INTERFACE ! Do not call directly / interface FORTRAN 2003 <-> C99
+    
+    
+    SUBROUTINE cxios_set_variable_name(variable_hdl, name, name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
+      INTEGER  (kind = C_INT)     , VALUE        :: name_size
+    END SUBROUTINE cxios_set_variable_name
+    
+    SUBROUTINE cxios_get_variable_name(variable_hdl, name, name_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: name
+      INTEGER  (kind = C_INT)     , VALUE        :: name_size
+    END SUBROUTINE cxios_get_variable_name
+    
+    FUNCTION cxios_is_defined_variable_name(variable_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_variable_name
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+    END FUNCTION cxios_is_defined_variable_name
+    
+    
+    SUBROUTINE cxios_set_variable_type(variable_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_set_variable_type
+    
+    SUBROUTINE cxios_get_variable_type(variable_hdl, type, type_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: type
+      INTEGER  (kind = C_INT)     , VALUE        :: type_size
+    END SUBROUTINE cxios_get_variable_type
+    
+    FUNCTION cxios_is_defined_variable_type(variable_hdl ) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_variable_type
+      INTEGER (kind = C_INTPTR_T), VALUE :: variable_hdl
+    END FUNCTION cxios_is_defined_variable_type
+    
+    
+    END INTERFACE
+  
+END MODULE variable_interface_attr
